Avisos
Vaciar todo

Pasar Joomla 1.6.6 a 1.7.0  

Página 2 / 2
 
Marí­a
 Marí­a
Honorable Member

Hola,
la versión de mi sitio estaba en la
Joomla! 1.6.6 Stable [ Onward ] 26-Jul-2011 23:00 GMT
Comprobé desde el mantenimiento de Extensiones si había algo disponible y me dice que no hay ninguna pendiente.
Instalo entonces la versión 1.7.0 y ahora, puedo entrar en el administrador sin problemas, pero no me carga la página:

"Este error (HTTP 500 Error interno del servidor) significa que el sitio web al que está conectado tiene un problema con el servidor que impide que se muestre la página web."

Mi versión en la información de sistema es: Joomla! 1.7.0 Stable [ Ember ] 19-Jul-2011 14:00 GMT

Si trato de buscar más actualizaciones, me sale el mensaje The PHP allow_url_fopen setting is disabled. This setting must be enabled for the updater to work

¿Alquien sabe qué tengo que hacer más para volver a acceder al sitio? ya digo, en el administrador se ve todo normal, sin problemas...

Gracias,

María

Citar
Respondido : 11/10/2011 3:42 pm
Marí­a
 Marí­a
Honorable Member

Hola, sí existe.
Te paso una imagen con el contenido

ResponderCitar
Respondido : 12/10/2011 7:33 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola María,

Entonces edita el archivo modulehelper.php y localiza la línea 292 (edita desde cPanel, Administrador de Archivos, Editor de Código).

Aquí tienes la entrada del Foro con los cambios a realizar:

- https://www.webempresa.com/foro/20-Joomla!-17/17674-Fatal-error-Cannot-instantiate-abstract-class-JDatabaseQuery-in-***pluginssystemjat3jat3corejoomlamodulehelperphp-on-line-291.html#17674

Saludos

ResponderCitar
Respondido : 12/10/2011 8:19 pm
Marí­a
 Marí­a
Honorable Member

Hola Gnumax,
acabo de tocar ese fichero, sustituí las líneas que había por

$db = JFactory::getDbo();

$query = $db->getQuery(true);

Pero sigue dando el error...
No sé si a lo mejor tendría que restaurar de nuevo, modificar y después actualizar ¿?
La pestaña Server, al acceder desde el menú Global configuration, sigue sin permitir mostrarse...

Gracias,

María

ResponderCitar
Respondido : 12/10/2011 9:12 pm

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Maria,

El cambio comentado debes hacerlo naturalmente antes de migrar de lo contrario no conseguirás resultados.

Además de esto pueden existir otros factores que puedan causar errores en la migración, pero solventar este en concreto evitará los errores del archivos "error_log".

Saludos

ResponderCitar
Respondido : 12/10/2011 9:30 pm
Marí­a
 Marí­a
Honorable Member

Hola, bueno, el error del error_log ahora no sale, ahora sale
[12-Oct-2011 22:56:55] PHP Fatal error: Cannot instantiate abstract class JDatabaseQuery in /home/pesetero/public_html/plugins/system/jat3/jat3/core/menu/base.class.php on line 314

En cualquier caso, el sitio sigue sin cargarse, y la actualización a la 1.7.0 por tanto tampoco...

ResponderCitar
Respondido : 12/10/2011 9:58 pm

Cursos Gratuitos WordPress

Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Maria,

Ese problema viene dado porque estás utilizando una JA Teline * ¿correcto?, si es así ¿que versión de la plantilla estás utilizando?.

Normalmente las migraciones de 1.6.6 a 1.7.0 son bastante sencillas y no suponen problemas como el tuyo, pero hay casos en que determinadas plantillas al usar versión antiguas del framework (en tu caso el T3) provocan conflictos añadidos al proceso de migración que si no se resuelven acaban afectando a toda la migración.

Saludos

ResponderCitar
Respondido : 12/10/2011 10:03 pm
Marí­a
 Marí­a
Honorable Member

Hola,

es cierto, pueden ir por ahí los tiros. Como la actualización a Joomla 1.7 se hace sin problemas, voy a instalar la plantilla de Teline IV (que efectivamente es la que tengo) para la versión 1.7

Ya la tengo descargada, el tema es, pongo otra plantilla por defecto en vez de la teline. Marco la teline para eliminarla, pero al hacer clic me dice "Cannot delete last style of a template"

Qué tendría que hacer para que me dejase eliminar la plantilla y poder instalar su versión posterior 1.7?

Gracias,
María

ResponderCitar
Respondido : 12/10/2011 11:24 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Marí­a
 Marí­a
Honorable Member

Hola de nuevo,

por orden esto es lo que he hecho, aunque todo sigue igual.

1. Estoy en la versión 1.7.0 de Joomla. Puedo trabajar con el administrador pero el sitio no se muestra. La plantilla es la Teline J16.
2. Selecciono otra plantilla para el sitio por defecto y el sitio ya se ve. Desinstalo la plantilla Teline
3. Instalo la plantilla Teline 1.7 (ja_teline_iv.v1.2.0.zip) y finaliza sin problemas.
4. Selecciono por defecto la plantilla Teline

El sitio sigue sin verse ¿?

ResponderCitar
Respondido : 12/10/2011 11:43 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Maria,

La versión de Joomla de la que hablas ¿es 1.7.0 o 1.71.?, po rotro lado la plantilla JA Teline ¿puede poner el enlace de descarga de la misma? para evaluar la versión.

Al final veo que mezclas muchas cosas, versiones, plantillas, Joomla y lo expones de forma que induce a error y no queda claro si al final tiene un Joomla! 1.6.6 con una Teline 1.7 o un Joomla! 1.7.0 con una Teline 1.6 ...de ahí las consultas, pues a nosotros también nos surgen muchas dudas con las consultas cuando no tenemos todos los datos. 🙂

Saludos y gracias

ResponderCitar
Respondido : 12/10/2011 11:48 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Marí­a
 Marí­a
Honorable Member

Hola Gnumax,

este tema ya se está haciendo largo y entiendo que se crucen datos... Te resumo:

- Inicialmente tengo instalado Teline IV para J_!1.6, y la versión de Joomla es 1.6.6
- Necesito traducir a español. No se me instala bien el idioma, me recomendáis pasarme al J!1.7 por temas de que se deja de dar soporte, de que esa rama es de corta duración, etc. Aquí empieza el periplo
- Actualizo de 1.6.6 a 1.7.0. La insatalación finaliza bien, pero no carga mi Teline
- Comentas que puede deberse a que es una Teline para 1.6, no había pensado en eso. Establezco otra plantilla por defecto. Desinstalo la Teline.
- Instalo la Teline IV para J!1.7. El sitio sigue sin cargarse

Este es mi estado actual... 🙁

ResponderCitar
Respondido : 13/10/2011 8:53 am
Jordi Sala
 Jordi Sala
Miembro Admin

Hola Marí­a,

Es un tema de la plantilla http://pesetero-cp42.webjoomla.es que no carga, porque la administración se visualiza correctamente http://pesetero-cp42.webjoomla.es/administrator/

Prueba a instalar otra plantilla de Joomlart, y revisa el archivo error_log, en el que te indicará el motivo por el cual no se carga.

Si deseas soporte técnico de Webempresa aquí tienes más información sobre el Servicio de Mantenimiento Joomla!:
https://www.webempresa.com/web-empresa-joomla-servicios/soporte-joomla.html

Saludos,

ResponderCitar
Respondido : 13/10/2011 10:38 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Marí­a
 Marí­a
Honorable Member

Hola,
pues me descargué la primera plantilla para J!1.7 de joomlart, la Erio, y la página se carga...
Probé de nuevo a desinstalar y poner por defecto la Teline IV para J!1.7 pero sigue sin cargar.

El error que se registra en el error_log es:
"[13-Oct-2011 16:25:26] PHP Fatal error: Cannot instantiate abstract class JDatabaseQuery in /home/pesetero/public_html/plugins/system/jat3/jat3/core/menu/base.class.php on line 314"

Saludos,

María

ResponderCitar
Respondido : 13/10/2011 3:35 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Maria,

Comprendo que el tema se te haga pesado con tanto cruce de pregunta/respuesta pero no existe otra metodología para esto y de ahí el Vía crucis para llegar a la solución que te sirva.

Insisto:

La versión de Joomla de la que hablas ¿es 1.7.0 o 1.7.1?, po rotro lado la plantilla JA Teline ¿puedes poner el enlace de descarga de la misma? para evaluar la versión.

Además de esto, toda la información que ya has aportado apunta a que es un problema con la plantilla, ni con Joomla!, ni con la versión de Joomla!, ni con el Hosting, ni con otras cuestiones, todo apunta a la plantilla de ahí que insistamos tanto en que nos facilites datos al respecto y que revises "esto" y "aquello" para dar con la solución.

Tu pones los ojos y la habilidad de buscar para ver el problema en tu sitio, nosotros aportamos ideas y soluciones en base a tus indicaciones.

El soporte mediante Foro es gratuito y tiene unos tiempos de respuesta más lentos y ciertas limitaciones. Otra opción, tal como comenta Jordi, es que evalúes si para resolver este problema te conviene un soporte de pago.

Saludos

ResponderCitar
Respondido : 13/10/2011 6:25 pm

Marí­a
 Marí­a
Honorable Member

Hola, debido a que no hay un modo claro de pasar de J!1.6 a J!1.7 con la Teline IV, he optado por eliminar el sitio e instalar la Teline IV para 1.7 en vez de seguir con la migración.
Creo que podemos cerrar este tema.
Saludos,
María

ResponderCitar
Respondido : 15/10/2011 10:53 am
Página 2 / 2